Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.CreatedNameContext

- org.apache.groovy.parser.antlr4.GroovyParser.CreatedNameContext

-     public static class GroovyParser.CreatedNameContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CreatedNameContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<? extends TerminalNode>` | `DOT()`
    `` | `public TerminalNode` | `DOT(int i)`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public GroovyParser.AnnotationsOptContext` | `annotationsOpt()`
    `` | `public int` | `getRuleIndex()`
    `` | `public List<? extends IdentifierContext>` | `identifier()`
    `` | `public GroovyParser.IdentifierContext` | `identifier(int i)`
    `` | `public GroovyParser.PrimitiveTypeContext` | `primitiveType()`
    `` | `public GroovyParser.QualifiedClassNameContext` | `qualifiedClassName()`
    `` | `public List<? extends TypeArgumentsOrDiamondContext>` | `typeArgumentsOrDiamond()`
    `` | `public GroovyParser.TypeArgumentsOrDiamondContext` | `typeArgumentsOrDiamond(int i)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Constructor Detail

    - #### public CreatedNameContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public List<? extends TerminalNode> DOT()

    - #### public TerminalNode DOT(int i)

    - #### <Result> public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public GroovyParser.AnnotationsOptContext annotationsOpt()

    - #### public int getRuleIndex()

    - #### public List<? extends IdentifierContext> identifier()

    - #### public GroovyParser.IdentifierContext identifier(int i)

    - #### public GroovyParser.PrimitiveTypeContext primitiveType()

    - #### public GroovyParser.QualifiedClassNameContext qualifiedClassName()

    - #### public List<? extends TypeArgumentsOrDiamondContext> typeArgumentsOrDiamond()

    - #### public GroovyParser.TypeArgumentsOrDiamondContext typeArgumentsOrDiamond(int i)